-- Library and Use statements for IEEE packages
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use ieee.std_logic_unsigned.all;

entity CDC_sync is
port(
RClk   : in  std_logic;
A : in std_logic;
B : out std_logic
);

end CDC_sync;

architecture behave of CDC_sync is

signal A_Sig, A_Sig1 : std_logic;

begin
process(Rclk)
begin
if rising_edge(Rclk) then
	A_sig <= A ;
	A_sig1 <= A_sig; 
	
end if;
end process;
B <= A_sig1;

end behave;